Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

SQLSTATE[42S22]: Column not found: 1054 Unknown column ‘tbl_option.required’ in ‘field list’
 
tempus fugit
Jr. Member
 
Avatar
Total Posts:  20
Joined:  2008-03-09
UK
 

The following error is stopping my install:

Error in file"/home/useip/public_html/app/code/core/Mage/CatalogInventory/sql/cataloginventory_setup/mysql4-upgrade-0.7.4-0.7.5.php" SQLSTATE[42S22]Column not found1054 Unknown column 'tbl_option.required' in 'field list'
Trace:
#0 /home/useip/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(292): Mage::exception('Mage_Core', 'Error in file: ...')
#1 /home/useip/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(179): Mage_Core_Model_Resource_Setup->_modifyResourceDb('upgrade', '0.7.4', '0.7.5')
#2 /home/useip/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(146): Mage_Core_Model_Resource_Setup->_upgradeResourceDb('0.7.4', '0.7.5')
#3 /home/useip/public_html/app/code/core/Mage/Core/Model/Resource/Setup.php(121): Mage_Core_Model_Resource_Setup->applyUpdates()
#4 /home/useip/public_html/app/code/core/Mage/Core/Model/Config.php(214): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#5 /home/useip/public_html/app/code/core/Mage/Core/Model/App.php(242): Mage_Core_Model_Config->init(Array)
#6 /home/useip/public_html/app/Mage.php(432): Mage_Core_Model_App->init('', 'store', Array)
#7 /home/useip/public_html/app/Mage.php(453): Mage::app('', 'store', Array)
#8 /home/useip/public_html/index.php(52): Mage::run()
#9 {main}

I cannot find ‘tbl_option’ anywhere in my database fields.
And it’s not mentioned anywhere in the forums.

Any ideas on which table or file, and how to get past this?

Thanks.

 
Magento Community Magento Community
Magento Community
Magento Community
 
beaugunderson
Jr. Member
 
Total Posts:  1
Joined:  2008-07-11
 

Also getting the same error message trying to upgrade to 1.2.1. Already fixed a couple of others using workarounds found in the forums. Hopefully this is the last one…

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top